
.wd-bordered-dark {
	--wd-bordered-brd: rgba(0, 0, 0, .105);
	--wd-bordered-bg: #f7f7f7;
}

.wd-bordered-light {
	--wd-bordered-brd: rgba(255, 255, 255, .15);
	--wd-bordered-bg: #0a0a0a;
}

.products-bordered-grid {
	--wd-prods-brd: 1px solid var(--wd-bordered-brd, var(--brdcolor-gray-300));
}

.products-bordered-grid.wd-grid-f-col {
	margin: 0;
}

.products-bordered-grid.wd-grid-f-col>.wd-col {
	margin-bottom: 0;
}

.products-bordered-grid.elements-grid {
	gap: 0;
	align-items: stretch;
	border-inline-start: var(--wd-prods-brd);
}

.products-bordered-grid.elements-grid>.wd-col {
	padding: calc(var(--wd-gap) / 2);
	border-top: var(--wd-prods-brd-top);
	border-bottom: var(--wd-prods-brd);
	border-inline-end: var(--wd-prods-brd);
}

.products-bordered-grid-ins :is(.wd-cat-wrap,.product-wrapper) {
	border: 1px solid var(--wd-bordered-brd, var(--brdcolor-gray-300));
}

.products-bordered-grid .wd-carousel-wrap {
	align-items: stretch;
}

.products-bordered-grid .wd-carousel-inner {
	margin: 0;
	border: var(--wd-prods-brd);
	border-radius: var(--wd-brd-radius);
}

.products-bordered-grid .wd-carousel {
	z-index: 1;
	padding: 0;
	margin: 0;
	border-radius: inherit;
	-webkit-mask-image: linear-gradient(to left, transparent 1px, black 1px);
	mask-image: linear-gradient(to left, transparent 1px, black 1px);
}

.products-bordered-grid .wd-carousel-item {
	height: auto;
	border-inline-end: var(--wd-prods-brd);
	padding: calc(var(--wd-gap) / 2);
}

.products-bordered-grid.wd-products-with-bg.elements-grid>.wd-col, .products-bordered-grid.wd-products-with-bg .wd-carousel-inner {
	background-color: var(--wd-bordered-bg, var(--wd-prod-bg));
}

.products-bordered-grid.wd-products-with-shadow.elements-grid>.wd-col, .products-bordered-grid.wd-products-with-shadow .wd-carousel-inner {
	box-shadow: var(--wd-prod-shadow);
}

@media (min-width: 1025px) {}

@media (max-width: 768.98px) {}

@media (min-width: 769px) and (max-width: 1024px) {}

.cat-design-side .wd-cat-wrap {
	height: 100%;
}

.cat-design-side .wd-cat-inner {
	display: flex;
	align-items: center;
	gap: 15px;
}

.cat-design-side.wd-with-subcat .wd-cat-inner {
	align-items: flex-start;
}

.cat-design-side .wd-cat-thumb {
	flex: 0 0 var(--wd-cat-img-width, auto);
	align-self: start;
	max-width: var(--wd-cat-img-width, 30%);
	border-radius: var(--wd-cat-brd-radius, var(--wd-brd-radius));
	overflow: hidden;
}

.cat-design-side .wd-cat-thumb img {
	width: var(--wd-cat-img-width, revert-layer);
}

.cat-design-side .wd-cat-content {
	flex-grow: 1;
	text-align: start;
	padding: 0 !important;
}

.cat-design-side .wd-cat-header {
	display: flex;
	align-items: center;
	gap: 5px;
}

.cat-design-side .wd-cat-footer {
	margin-top: 5px;
}

.cat-design-side .wd-cat-inner>a:hover ~ .wd-cat-content .wd-entities-title a {
	color: var(--wd-entities-title-color-hover);
}

.cat-design-side .wd-cat-count {
	padding: 3px 8px;
	min-width: 25px;
	border-radius: 15px;
	background-color: #fff;
	color: #333;
	margin-top: -7px;
	text-align: center;
	font-weight: 600;
	font-size: 11px;
	line-height: 1;
	box-shadow: 0 0 3px rgba(0, 0, 0, .12);
	flex-shrink: 0;
}

.wd-cats:is(.products-bordered-grid-ins,.wd-products-with-bg) .wd-carousel-item {
	height: auto;
}

.wd-cats:is(.products-bordered-grid-ins,.wd-products-with-bg) .wd-carousel-item .cat-design-side {
	height: 100%;
}

.wd-cat {
	--wd-otl-offset: calc(var(--wd-otl-width) * -1);
	text-align: center;
}

.wd-cat img {
	width: 100%;
}

.wd-cat-inner {
	position: relative;
}

.wd-cat-content {
	padding: 10px;
}

.wd-cat-wrap {
	padding: var(--wd-prod-bg-sp);
	border-radius: var(--wd-cat-brd-radius, var(--wd-brd-radius));
}

.wd-cat .wd-entities-title {
	margin-bottom: 0;
	text-transform: uppercase;
	font-size: 20px;
}

:is(.products-bordered-grid-ins,.wd-products-with-bg:not(.products-bordered-grid),.wd-products-with-shadow:not(.products-bordered-grid)) .wd-cat {
	--wd-prod-bg-sp: 15px;
}

@media (max-width: 768.98px) {
	:is(.products-bordered-grid-ins,.wd-products-with-bg:not(.products-bordered-grid),.wd-products-with-shadow:not(.products-bordered-grid)) .wd-cat {
		--wd-prod-bg-sp: 10px;
	}
}

.scrollToTop {
	position: fixed;
	right: 20px;
	bottom: 20px;
	z-index: 350;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 50px;
	height: 50px;
	border-radius: 50%;
	background-color: rgba(var(--bgcolor-white-rgb), .9);
	box-shadow: 0 0 5px rgba(0, 0, 0, .17);
	color: var(--color-gray-800);
	font-size: 16px;
	opacity: 0;
	pointer-events: none;
	text-decoration: none !important;
	backface-visibility: hidden;
	-webkit-backface-visibility: hidden;
	transform: translateX(100%);
}

.scrollToTop.button-show {
	opacity: 1;
	transform: none;
	pointer-events: visible;
}

.scrollToTop:after {
	content: "";
	font-family: "woodmart-font";
}

.scrollToTop:hover {
	color: var(--color-gray-500);
}

.wd-search-opened .scrollToTop {
	display: none;
}

@media (max-width: 1024px) {
	.scrollToTop {
		right: 12px;
		bottom: 12px;
		width: 40px;
		height: 40px;
		font-size: 14px;
	}
}

.login-form-side .woocommerce-notices-wrapper {
	padding: 20px 15px 0 15px;
}

.login-form-side .woocommerce-notices-wrapper>.woocommerce-error {
	margin-bottom: 0;
}

.login-form-side .woocommerce-form-login {
	padding: 20px 15px 15px 15px;
	border-bottom: 1px solid var(--brdcolor-gray-300);
}

.login-form-side .woocommerce-form-login.hidden-form {
	display: none;
}

.create-account-question {
	padding: 20px 15px;
	border-bottom: 1px solid var(--brdcolor-gray-300);
	text-align: center;
	--wd-tags-mb: 15px;
}

.create-account-question p {
	color: var(--color-gray-900);
	font-weight: 600;
}

.create-account-question:before {
	display: block;
	margin-bottom: 15px;
	color: var(--color-gray-200);
	font-size: 54px;
	line-height: 1;
	content: "";
	font-family: "woodmart-font";
}

.create-account-question .btn {
	--btn-color: var(--color-gray-800);
	--btn-color-hover: var(--color-gray-500);
	--btn-brd-color: var(--wd-primary-color);
	--btn-bgcolor: transparent;
	--btn-brd-width: 2px;
	--btn-height: none;
	--btn-padding: 0;
	border-top: 0;
	border-inline: 0;
}

.wd-social-login {
	display: flex;
	flex-wrap: wrap;
	gap: 15px;
}

.wd-social-login .btn {
	flex: 1 1 200px;
	border-radius: var(--btn-accented-brd-radius);
	--btn-color: #fff;
	--btn-bgcolor: var(--wd-social-btn-bg);
	--btn-box-shadow-hover: inset 0 0 0 1000px rgba(0, 0, 0, .1);
}

.wd-social-login .btn:before {
	position: absolute;
	top: 50%;
	font-weight: 400;
	transform: translateY(-50%);
	font-family: "woodmart-font";
}

.wd-social-login .login-vk-link {
	--wd-social-btn-bg: #597da3;
}

.wd-social-login .login-vk-link:before {
	inset-inline-start: calc(10px + ( var(--btn-accented-brd-radius) / 4 ));
	font-size: 22px;
	content: "";
}

.wd-social-login .login-fb-link {
	--wd-social-btn-bg: #3b5998;
}

.wd-social-login .login-fb-link:before {
	inset-inline-start: calc(9px + ( var(--btn-accented-brd-radius) / 4 ));
	font-size: 28px;
	content: "";
}

.wd-social-login .login-goo-link {
	--wd-social-btn-bg: #4285f4;
}

.wd-social-login .login-goo-link:before {
	content: "";
	inset-inline-start: calc(8px + ( var(--btn-accented-brd-radius) / 4 ));
	width: 26px;
	height: 26px;
	border-radius: 2px;
	background: no-repeat center/16px url("https://cdn-ileapid.nitrocdn.com/caeCiTnulZUtUxcRttbvAfWDhFuMRJQO/assets/images/optimized/rev-be32b81/universaldriveshafts.com/wp-content/themes/woodmart/images/google-btn-icon.svg") #fff;
}

.wc-stripe-payment-button-preview {
	align-items: center;
	background-color: #000;
	border-radius: 5px;
	display: flex;
	height: 40px;
	justify-content: center;
}

.wc-stripe-payment-button-preview img {
	height: 22px;
}

.wc-stripe-payment-button-preview:hover {
	cursor: pointer;
	filter: opacity(.7);
}

.wc-stripe-payment-button-preview.wc-stripe-amazon-pay-preview {
	background-color: #ffd814;
}

.wc-stripe-payment-button-preview.wc-stripe-amazon-pay-preview img {
	height: 40px;
}

.wc-stripe-payment-button-preview.wc-stripe-link-preview {
	background-color: #00d66f;
}

.wc-stripe-payment-button-preview.wc-stripe-link-preview img {
	height: 40px;
}

button.stripe-gateway-stripelink-modal-trigger {
	background: no-repeat url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNjQiIGhlaWdodD0iNDgiIHZpZXdCb3g9IjAgMCA3MiAyNCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTM2LjEyIDMuNjc2ODNDMzYuMTIgMi41NDg4MiAzNy4wNzA0IDEuNjMyMDIgMzguMTg4OCAxLjYzMjAyQzM5LjMwNzIgMS42MzIwMiA0MC4yNTc2IDIuNTUzNjIgNDAuMjU3NiAzLjY3NjgzQzQwLjI1NzYgNC44MDAwMyAzOS4zNDA4IDUuNzQ1NjMgMzguMTg4OCA1Ljc0NTYzQzM3LjAzNjggNS43NDU2MyAzNi4xMiA0LjgyODgzIDM2LjEyIDMuNjc2ODNaIiBmaWxsPSIjMDExRTBGIi8+CjxwYXRoIGQ9Ik0yOS45ODA4IDEuOTIwMDFIMzMuNTgwOFYyMi4wOEgyOS45ODA4VjEuOTIwMDFaIiBmaWxsPSIjMDExRTBGIi8+CjxwYXRoIGQ9Ik00MC4wMDggNy42ODAwMUgzNi4zNzkyVjIyLjA4SDQwLjAwOFY3LjY4MDAxWiIgZmlsbD0iIzAxMUUwRiIvPgo8cGF0aCBkPSJNNjYuMDk2IDE0LjM5MDRDNjguODI3MiAxMi43MTA0IDcwLjY4NDggMTAuMjA5NiA3MS40MTkyIDcuNjc1MjRINjcuNzkwNEM2Ni44NDQ4IDEwLjA5NDQgNjQuNjc1MiAxMS45MTM2IDYyLjI4OTYgMTIuNjg2NFYxLjkxNTIzSDU4LjY2MDhWMjIuMDc1Mkg2Mi4yODk2VjE2LjA4QzY1LjA1OTIgMTYuNzcxMiA2Ny4yNDggMTkuMTY2NCA2Ny45OTY4IDIyLjA3NTJINzEuNjQ5NkM3MS4wOTI4IDE5LjAyMjQgNjkuMDA0OCAxNi4xNjY0IDY2LjA5NiAxNC4zOTA0WiIgZmlsbD0iIzAxMUUwRiIvPgo8cGF0aCBkPSJNNDYuNDQgOS4yOTI4M0M0Ny4zOTA0IDguMDMwNDMgNDkuMjQzMiA3LjI5NjAyIDUwLjc0NTYgNy4yOTYwMkM1My41NDg4IDcuMjk2MDIgNTUuODY3MiA5LjM0NTYzIDU1Ljg3MiAxMi40NDE2VjIyLjA3NTJINTIuMjQzMlYxMy4yNDMyQzUyLjI0MzIgMTEuOTcxMiA1MS42NzY4IDEwLjUwMjQgNDkuODM4NCAxMC41MDI0QzQ3LjY3ODQgMTAuNTAyNCA0Ni40MzUyIDEyLjQxNzYgNDYuNDM1MiAxNC42NTkyVjIyLjA4NDhINDIuODA2NFY3LjY4OTYySDQ2LjQ0VjkuMjkyODNaIiBmaWxsPSIjMDExRTBGIi8+CjxwYXRoIGQ9Ik0xMiAyNEMxOC42Mjc0IDI0IDI0IDE4LjYyNzQgMjQgMTJDMjQgNS4zNzI1NyAxOC42Mjc0IDAgMTIgMEM1LjM3MjU5IDAgMCA1LjM3MjU3IDAgMTJDMCAxOC42Mjc0IDUuMzcyNTkgMjQgMTIgMjRaIiBmaWxsPSIjMDBENjZGIi8+CjxwYXRoIGQ9Ik0xMS40NDc5IDQuODAwMDVINy43NDcwN0M4LjQ2NzA3IDcuODA5NjUgMTAuNTY5NSAxMC4zODI0IDEzLjE5OTkgMTJDMTAuNTY0NyAxMy42MTc2IDguNDY3MDcgMTYuMTkwNCA3Ljc0NzA3IDE5LjJIMTEuNDQ3OUMxMi4zNjQ3IDE2LjQxNiAxNC45MDM5IDEzLjk5NjggMTguMDIzOSAxMy41MDI0VjEwLjQ5MjlDMTQuODk5MSAxMC4wMDMzIDEyLjM1OTkgNy41ODQwNSAxMS40NDc5IDQuODAwMDVaIiBmaWxsPSIjMDExRTBGIi8+Cjwvc3ZnPgo=");
	background-color: transparent !important;
	border: none;
	cursor: pointer;
	display: none;
	height: 40px;
	position: absolute;
	right: 5px;
	width: 64px;
}

button.stripe-gateway-stripelink-modal-trigger.nitro-lazy {
	background: none !important;
}

button.stripe-gateway-stripelink-modal-trigger:hover {
	background-color: transparent;
	border-color: transparent;
}

.wc-block-checkout__payment-method .wc-block-components-radio-control__label>span {
	width: 100%;
}

.wc-block-checkout__payment-method .wc-block-components-radio-control__label>span>span {
	align-items: center;
	display: flex;
	float: right;
	justify-content: center;
}

#radio-control-wc-payment-method-options-stripe__content.optimized-checkout-element {
	padding-top: 1.4em;
}

#radio-control-wc-payment-method-options-stripe__content.optimized-checkout-element .content:empty {
	display: none;
}

#radio-control-wc-payment-method-options-stripe__label>span>span {
	border: none;
}
